call spQuery_Lista_Producto_SubFamilia_Prov(2,'0113');

DROP PROCEDURE IF EXISTS spQuery_Lista_Producto_SubFamilia_Prov;
CREATE PROCEDURE spQuery_Lista_Producto_SubFamilia_Prov(
  varProveedor int,
  varFamilia   varchar(4)
  )
BEGIN 
  select P.id_sub_familia as CFAM, S.nombre as SUBFAMILIA
  from _sv_producto P
  inner join _sv_sub_familia S ON P.id_sub_familia = S.id_sub_familia
  where P._estado='A' and S._estado = 'A'
  and P.id_proveedor = varProveedor
  and P.id_familia = varFamilia
  group by P.id_sub_familia, S.nombre
  order by P.id_sub_familia;
END;
